eth_getTransactionCount - Kaia
Example code for the eth_getTransactionCount JSON RPC method. Complete guide on how to use eth_getTransactionCount JSON RPC in GetBlock Web3 documentation.
This method returns the number of transactions sent from an address, which is the account nonce. It is used to set the nonce for the next transaction.
Parameters
address
string
Yes
20-byte address to read the nonce of
blockParameter
string
Yes
Block number in hex, or "latest", "earliest", "pending"
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_getTransactionCount",
"params": ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'eth_getTransactionCount',
params: ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'eth_getTransactionCount',
'params': ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x2a"
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
string
Hex-encoded transaction count (nonce)
Use Cases
Nonce Management: Set the nonce for the next outgoing transaction
Transaction Ordering: Sequence a batch of transactions from one account
Stuck Transactions: Detect a gap between latest and pending nonces
Account Activity: Gauge how many transactions an account has sent
Error Handling
-32602
Invalid params
The address is not a valid 20-byte hex string, or the block tag is invalid
-32603
Internal error
The node failed to read the requested state
Web3 Integration
Last updated
Was this helpful?